﻿using UnityEngine;
using System.Collections;

public class AwayBox : MonoBehaviour {

	public void OnTriggerStay2D(Collider2D other) 
	{
		var pipe = other.attachedRigidbody.GetComponent<Pipe>();
		
		if (pipe && !pipe.GetParentPipe().isDragging && !pipe.GetParentPipe().isRotating)
		{
			pipe.GetParentPipe().rigidbody2D.AddForce(new Vector2(0, 50 * pipe.rigidbody2D.mass));
		}
	}
}
