﻿using UnityEngine;
using System.Collections;

public class DestroyBox : MonoBehaviour {

	public void OnTriggerExit2D(Collider2D other) 
	{
		var pipe = other.GetComponent<Pipe>();
		
		if (pipe)
		{
			Destroy(pipe.GetParentPipe().gameObject);
		}
	}
	
	public void OnTriggerStay2D(Collider2D other) 
	{
		var pipe = other.GetComponent<Pipe>();
		
		if (pipe)
		{
			pipe.GetParentPipe().rigidbody2D.AddForce(new Vector2(0, 5000));
		}
	}
}
