﻿using UnityEngine;
using UnityEngine.EventSystems;
using System.Collections;

public class IntroLetter : MonoBehaviour, IPointerClickHandler, IPointerUpHandler {

	public GameObject coverPanel;
	public GameObject coverCollider;

	public GameObject innerPanel;
	public GameObject innerCollider;

	public void OnPointerUp(PointerEventData eventData)
	{
		if (eventData.pointerId == -1 && !this.GetComponent<Pipe>().isDragging)
		{
			var setTo = !(coverPanel.activeSelf);
			
			coverPanel.SetActive(setTo);
			coverCollider.SetActive(setTo);
			innerPanel.SetActive(!setTo);
			innerCollider.SetActive(!setTo);
		}
	}

	public void OnPointerClick(PointerEventData eventData)
	{

	}

}
