﻿using UnityEngine;
using System.Collections;

public class Blackout : MonoBehaviour {

	public float blackout = 0f;
	public float topPos;
	public float zeroPos;
	public Color baseColor;

	public UnityEngine.UI.Text text;

	public void Update()
	{
		//var pos = this.transform.position;

		var pos = this.transform.position;
		pos.y = this.topPos;
		this.transform.localPosition = pos;

		if (blackout >= 1)
		{
		//	pos.y = this.topPos;
			this.GetComponent<SpriteRenderer>().color -= new Color(0, 0, 0, -0.3f * Time.deltaTime);
		}
		else if (this.GetComponent<SpriteRenderer>().color != this.baseColor)
		{
		//	pos.y = this.topPos;

			this.GetComponent<SpriteRenderer>().color += new Color(0, 0, 0, -0.2f * Time.deltaTime);
			if (this.GetComponent<SpriteRenderer>().color.a < this.baseColor.a)
				this.GetComponent<SpriteRenderer>().color = this.baseColor;

		}
		else
		{
		//	pos.y = this.topPos;
			return;
		}

		var c = text.color;
		c.a = this.GetComponent<SpriteRenderer>().color.a;
		text.color = c;

		if (c.a == 0)
			text.canvas.enabled = false;
		else
			text.canvas.enabled = true;



		//this.transform.localPosition = pos;
	}
}
