﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class Clock : MonoBehaviour {

	public static float totalTime = 0;

	public static bool ticking = false;

	public int broken = 0;

	public Text text;

	// Update is called once per frame
	void Update () {
		if (ticking)
			totalTime += Time.deltaTime;

		if (broken > 2)
		{
			this.broken = 0;
		}
		else if (broken > 1)
		{
			if (Random.Range(0, 4) == 0)
				this.text.text = "";
			else
				this.text.text = "HE:\n:LP";
		}
		else if (broken == 1)
		{
			if (Random.Range(0, 4) == 0)
				this.text.text = "";
			else
				this.text.text = "--:\n:--";
		}
		else
			this.text.text = FormatTimeClock(totalTime);
	}

	public static string FormatTimeClock(float time)
	{
		return Mathf.FloorToInt(time / 60).ToString("D2") +":\n:"+ Mathf.FloorToInt(time % 60).ToString("D2");
	}

	public static string FormatTime(float time)
	{
		return Mathf.FloorToInt(time / 60).ToString("D2") +":"+ Mathf.FloorToInt(time % 60).ToString("D2");
	}
}
