﻿using UnityEngine;
using System.Collections;

public class HammerHead : MonoBehaviour {

	public Hammer hammer;

	public void OnTriggerEnter2D(Collider2D other) {
		var pipe = other.GetComponent<Pipe>();

		if (pipe != null && pipe != hammer.GetComponent<Pipe>())
			this.hammer.underHead.Add(pipe);
	}

	public void OnTriggerExit2D(Collider2D other) {
		var pipe = other.GetComponent<Pipe>();
		
		if (pipe != null)
			this.hammer.underHead.Remove(pipe);
	}
}
