﻿using UnityEngine;
using System.Collections;

public class PrinterSound : MonoBehaviour {

	public static PrinterSound inst;

	// Use this for initialization
	void Awake () {
		if (inst == null)
			inst = this;
	}
	
	// Update is called once per frame
	public void Play () {
		if (!this.GetComponent<AudioSource>().isPlaying)
			this.GetComponent<AudioSource>().Play();
	}

	public void Stop () {
		if (this.GetComponent<AudioSource>().isPlaying)
			this.GetComponent<AudioSource>().Stop();
	}
}
