﻿using UnityEngine;
using System.Collections;

public class PushBackBox : MonoBehaviour {

	public void OnTriggerEnter2D(Collider2D other) 
	{
		var pipe = other.attachedRigidbody.GetComponent<Pipe>();
		
		if (pipe && !pipe.GetParentPipe().isDragging && !pipe.GetParentPipe().isRotating)
		{
			pipe.GetParentPipe().rigidbody2D.AddForce(new Vector2(0, 30 * pipe.rigidbody2D.mass));
			pipe.GetParentPipe().rigidbody2D.AddTorque(Random.Range(-100, 100));
		}
	}

	public void OnTriggerStay2D(Collider2D other) 
	{
		var pipe = other.attachedRigidbody.GetComponent<Pipe>();
		
		if (pipe && !pipe.GetParentPipe().isDragging && !pipe.GetParentPipe().isRotating)
		{
			pipe.GetParentPipe().rigidbody2D.AddForce(new Vector2(0, 30 * pipe.rigidbody2D.mass));
			pipe.GetParentPipe().rigidbody2D.AddTorque(Random.Range(-100, 100));
		}
	}
}
